#
# Table structure for table `archcats`
#

CREATE TABLE `archcats` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `image` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `archcats`
#


# --------------------------------------------------------

#
# Table structure for table `archive`
#

CREATE TABLE `archive` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category` int(10) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `size` int(10) unsigned NOT NULL default '0',
  `hits` int(10) unsigned NOT NULL default '0',
  `uppedby` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `archive`
#


# --------------------------------------------------------

#
# Table structure for table `avps`
#

CREATE TABLE `avps` (
  `arg` varchar(20) NOT NULL default '',
  `value_s` text NOT NULL,
  `value_i` int(11) NOT NULL default '0',
  `value_u` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`arg`)
) TYPE=MyISAM;

#
# Dumping data for table `avps`
#

INSERT INTO `avps` VALUES ('lastcleantime', '', 0, 1083234513);

# --------------------------------------------------------

#
# Table structure for table `bans`
#

CREATE TABLE `bans` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `addedby` int(10) unsigned NOT NULL default '0',
  `comment` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `bans`
#


# --------------------------------------------------------

#
# Table structure for table `categories`
#

CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `sort_index` int(10) unsigned NOT NULL default '0',
  `image` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=19 ;

#
# Dumping data for table `categories`
#

INSERT INTO `categories` VALUES (10, 'Misc', 10, '');
INSERT INTO `categories` VALUES (4, 'Applications PC', 4, '');
INSERT INTO `categories` VALUES (5, 'Trailers', 5, '');
INSERT INTO `categories` VALUES (6, 'Game Music Rips', 6, '');
INSERT INTO `categories` VALUES (7, 'BIOS', 7, '');
INSERT INTO `categories` VALUES (9, 'Dashboards', 9, '');
INSERT INTO `categories` VALUES (3, 'Applications', 3, '');
INSERT INTO `categories` VALUES (2, 'Roms', 2, '');
INSERT INTO `categories` VALUES (1, 'Games', 1, '');

# --------------------------------------------------------

#
# Table structure for table `chatcomments`
#

CREATE TABLE `chatcomments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment` text NOT NULL,
  `ip` varchar(15) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`id`),
  KEY `userid` (`userid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `chatcomments`
#


# --------------------------------------------------------

#
# Table structure for table `comments`
#

CREATE TABLE `comments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user` int(10) unsigned NOT NULL default '0',
  `torrent` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `text` text NOT NULL,
  `ori_text` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user` (`user`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `comments`
#


# --------------------------------------------------------

#
# Table structure for table `countries`
#

CREATE TABLE `countries` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `flagpic` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=100 ;

#
# Dumping data for table `countries`
#

INSERT INTO `countries` VALUES (1, 'Sweden', 'sweden.gif');
INSERT INTO `countries` VALUES (2, 'United States of America', 'usa.gif');
INSERT INTO `countries` VALUES (3, 'Russia', 'russia.gif');
INSERT INTO `countries` VALUES (4, 'Finland', 'finland.gif');
INSERT INTO `countries` VALUES (5, 'Canada', 'canada.gif');
INSERT INTO `countries` VALUES (6, 'France', 'france.gif');
INSERT INTO `countries` VALUES (7, 'Germany', 'germany.gif');
INSERT INTO `countries` VALUES (8, 'China', 'china.gif');
INSERT INTO `countries` VALUES (9, 'Italy', 'italy.gif');
INSERT INTO `countries` VALUES (10, 'Denmark', 'denmark.gif');
INSERT INTO `countries` VALUES (11, 'Norway', 'norway.gif');
INSERT INTO `countries` VALUES (12, 'United Kingdom', 'uk.gif');
INSERT INTO `countries` VALUES (13, 'Ireland', 'ireland.gif');
INSERT INTO `countries` VALUES (14, 'Poland', 'poland.gif');
INSERT INTO `countries` VALUES (15, 'Netherlands', 'netherlands.gif');
INSERT INTO `countries` VALUES (16, 'Belgium', 'belgium.gif');
INSERT INTO `countries` VALUES (17, 'Japan', 'japan.gif');
INSERT INTO `countries` VALUES (18, 'Brazil', 'brazil.gif');
INSERT INTO `countries` VALUES (19, 'Argentina', 'argentina.gif');
INSERT INTO `countries` VALUES (20, 'Australia', 'australia.gif');
INSERT INTO `countries` VALUES (21, 'New Zealand', 'newzealand.gif');
INSERT INTO `countries` VALUES (23, 'Spain', 'spain.gif');
INSERT INTO `countries` VALUES (24, 'Portugal', 'portugal.gif');
INSERT INTO `countries` VALUES (25, 'Mexico', 'mexico.gif');
INSERT INTO `countries` VALUES (26, 'Singapore', 'singapore.gif');
INSERT INTO `countries` VALUES (70, 'India', 'india.gif');
INSERT INTO `countries` VALUES (65, 'Albania', 'albania.gif');
INSERT INTO `countries` VALUES (29, 'South Africa', 'southafrica.gif');
INSERT INTO `countries` VALUES (30, 'South Korea', 'southkorea.gif');
INSERT INTO `countries` VALUES (31, 'Jamaica', 'jamaica.gif');
INSERT INTO `countries` VALUES (32, 'Luxembourg', 'luxembourg.gif');
INSERT INTO `countries` VALUES (33, 'Hong Kong', 'hongkong.gif');
INSERT INTO `countries` VALUES (34, 'Belize', 'belize.gif');
INSERT INTO `countries` VALUES (35, 'Algeria', 'algeria.gif');
INSERT INTO `countries` VALUES (36, 'Angola', 'angola.gif');
INSERT INTO `countries` VALUES (37, 'Austria', 'austria.gif');
INSERT INTO `countries` VALUES (38, 'Yugoslavia', 'yugoslavia.gif');
INSERT INTO `countries` VALUES (39, 'Western Samoa', 'westernsamoa.gif');
INSERT INTO `countries` VALUES (40, 'Malaysia', 'malaysia.gif');
INSERT INTO `countries` VALUES (41, 'Dominican Republic', 'dominicanrep.gif');
INSERT INTO `countries` VALUES (42, 'Greece', 'greece.gif');
INSERT INTO `countries` VALUES (43, 'Guatemala', 'guatemala.gif');
INSERT INTO `countries` VALUES (44, 'Israel', 'israel.gif');
INSERT INTO `countries` VALUES (45, 'Pakistan', 'pakistan.gif');
INSERT INTO `countries` VALUES (46, 'Czech Republic', 'czechrep.gif');
INSERT INTO `countries` VALUES (47, 'Serbia', 'serbia.gif');
INSERT INTO `countries` VALUES (48, 'Seychelles', 'seychelles.gif');
INSERT INTO `countries` VALUES (49, 'Taiwan', 'taiwan.gif');
INSERT INTO `countries` VALUES (50, 'Puerto Rico', 'puertorico.gif');
INSERT INTO `countries` VALUES (51, 'Chile', 'chile.gif');
INSERT INTO `countries` VALUES (52, 'Cuba', 'cuba.gif');
INSERT INTO `countries` VALUES (53, 'Congo', 'congo.gif');
INSERT INTO `countries` VALUES (54, 'Afghanistan', 'afghanistan.gif');
INSERT INTO `countries` VALUES (55, 'Turkey', 'turkey.gif');
INSERT INTO `countries` VALUES (56, 'Uzbekistan', 'uzbekistan.gif');
INSERT INTO `countries` VALUES (57, 'Switzerland', 'switzerland.gif');
INSERT INTO `countries` VALUES (58, 'Kiribati', 'kiribati.gif');
INSERT INTO `countries` VALUES (59, 'Philippines', 'philippines.gif');
INSERT INTO `countries` VALUES (60, 'Burkina Faso', 'burkinafaso.gif');
INSERT INTO `countries` VALUES (61, 'Nigeria', 'nigeria.gif');
INSERT INTO `countries` VALUES (62, 'Iceland', 'iceland.gif');
INSERT INTO `countries` VALUES (63, 'Nauru', 'nauru.gif');
INSERT INTO `countries` VALUES (64, 'Slovenia', 'slovenia.gif');
INSERT INTO `countries` VALUES (66, 'Turkmenistan', 'turkmenistan.gif');
INSERT INTO `countries` VALUES (67, 'Bosnia Herzegovina', 'bosniaherzegovina.gif');
INSERT INTO `countries` VALUES (68, 'Andorra', 'andorra.gif');
INSERT INTO `countries` VALUES (69, 'Lithuania', 'lithuania.gif');
INSERT INTO `countries` VALUES (71, 'Netherlands Antilles', 'nethantilles.gif');
INSERT INTO `countries` VALUES (72, 'Ukraine', 'ukraine.gif');
INSERT INTO `countries` VALUES (73, 'Venezuela', 'venezuela.gif');
INSERT INTO `countries` VALUES (74, 'Hungary', 'hungary.gif');
INSERT INTO `countries` VALUES (75, 'Romania', 'romania.gif');
INSERT INTO `countries` VALUES (76, 'Vanuatu', 'vanuatu.gif');
INSERT INTO `countries` VALUES (77, 'Vietnam', 'vietnam.gif');
INSERT INTO `countries` VALUES (78, 'Trinidad & Tobago', 'trinidadandtobago.gif');
INSERT INTO `countries` VALUES (79, 'Honduras', 'honduras.gif');
INSERT INTO `countries` VALUES (80, 'Kyrgyzstan', 'kyrgyzstan.gif');
INSERT INTO `countries` VALUES (81, 'Ecuador', 'ecuador.gif');
INSERT INTO `countries` VALUES (82, 'Bahamas', 'bahamas.gif');
INSERT INTO `countries` VALUES (83, 'Peru', 'peru.gif');
INSERT INTO `countries` VALUES (84, 'Cambodia', 'cambodia.gif');
INSERT INTO `countries` VALUES (85, 'Barbados', 'barbados.gif');
INSERT INTO `countries` VALUES (86, 'Bangladesh', 'bangladesh.gif');
INSERT INTO `countries` VALUES (87, 'Laos', 'laos.gif');
INSERT INTO `countries` VALUES (88, 'Uruguay', 'uruguay.gif');
INSERT INTO `countries` VALUES (89, 'Antigua Barbuda', 'antiguabarbuda.gif');
INSERT INTO `countries` VALUES (90, 'Paraguay', 'paraguay.gif');
INSERT INTO `countries` VALUES (93, 'Thailand', 'thailand.gif');
INSERT INTO `countries` VALUES (92, 'Union of Soviet Socialist Republics', 'ussr.gif');
INSERT INTO `countries` VALUES (94, 'Senegal', 'senegal.gif');
INSERT INTO `countries` VALUES (95, 'Togo', 'togo.gif');
INSERT INTO `countries` VALUES (96, 'North Korea', 'northkorea.gif');
INSERT INTO `countries` VALUES (97, 'Croatia', 'croatia.gif');
INSERT INTO `countries` VALUES (98, 'Estonia', 'estonia.gif');
INSERT INTO `countries` VALUES (99, 'Colombia', 'colombia.gif');

# --------------------------------------------------------

#
# Table structure for table `dox`
#

CREATE TABLE `dox` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `added` datetime default NULL,
  `title` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `size` int(10) unsigned NOT NULL default '0',
  `uppedby` int(10) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `hits` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `dox`
#


# --------------------------------------------------------

#
# Table structure for table `files`
#

CREATE TABLE `files` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Dumping data for table `files`
#


# --------------------------------------------------------

#
# Table structure for table `forums`
#

CREATE TABLE `forums` (
  `sort` tinyint(3) unsigned NOT NULL default '0',
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(60) NOT NULL default '',
  `description` varchar(200) default NULL,
  `minclassread` tinyint(3) unsigned NOT NULL default '0',
  `minclasswrite` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `forums`
#

INSERT INTO `forums` VALUES (1, 1, 'bobby', 'Great cool super!', 1, 1);

# --------------------------------------------------------

#
# Table structure for table `log`
#

CREATE TABLE `log` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `added` datetime default NULL,
  `txt` text,
  PRIMARY KEY  (`id`),
  KEY `added` (`added`)
) TYPE=MyISAM AUTO_INCREMENT=10 ;

#
# Dumping data for table `log`
#


# --------------------------------------------------------

#
# Table structure for table `messages`
#

CREATE TABLE `messages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sender` int(10) unsigned NOT NULL default '0',
  `receiver` int(10) unsigned NOT NULL default '0',
  `added` datetime default NULL,
  `msg` text,
  `unread` enum('yes','no') NOT NULL default 'yes',
  `poster` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `receiver` (`receiver`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `messages`
#


# --------------------------------------------------------

#
# Table structure for table `peers`
#

CREATE TABLE `peers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `peer_id` char(20) binary NOT NULL default '',
  `ip` char(64) NOT NULL default '',
  `port` smallint(5) unsigned NOT NULL default '0',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `to_go` bigint(20) unsigned NOT NULL default '0',
  `seeder` enum('yes','no') NOT NULL default 'no',
  `started` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `connectable` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `torrent_peer_id` (`torrent`,`peer_id`),
  KEY `torrent` (`torrent`),
  KEY `torrent_seeder` (`torrent`,`seeder`),
  KEY `last_action` (`last_action`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

#
# Dumping data for table `peers`
#


# --------------------------------------------------------

#
# Table structure for table `pollanswers`
#

CREATE TABLE `pollanswers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pollid` int(10) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `selection` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pollid` (`pollid`),
  KEY `selection` (`selection`),
  KEY `userid` (`userid`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `pollanswers`
#


# --------------------------------------------------------

#
# Table structure for table `polls`
#

CREATE TABLE `polls` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `question` varchar(255) NOT NULL default '',
  `option0` varchar(40) NOT NULL default '',
  `option1` varchar(40) NOT NULL default '',
  `option2` varchar(40) NOT NULL default '',
  `option3` varchar(40) NOT NULL default '',
  `option4` varchar(40) NOT NULL default '',
  `option5` varchar(40) NOT NULL default '',
  `option6` varchar(40) NOT NULL default '',
  `option7` varchar(40) NOT NULL default '',
  `option8` varchar(40) NOT NULL default '',
  `option9` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `polls`
#


# --------------------------------------------------------

#
# Table structure for table `posts`
#

CREATE TABLE `posts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `topicid` int(10) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `added` datetime default NULL,
  `body` text,
  `editedby` int(10) unsigned NOT NULL default '0',
  `editedat` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `topicid` (`topicid`),
  KEY `userid` (`userid`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

#
# Dumping data for table `posts`
#

INSERT INTO `posts` VALUES (1, 1, 4, '2004-04-27 17:06:55', '[color=red]This is a test.[/color] ', 4, '2004-04-27 17:07:12');
INSERT INTO `posts` VALUES (2, 1, 3, '2004-04-27 21:25:42', 'Test 2 :)', 0, '0000-00-00 00:00:00');

# --------------------------------------------------------

#
# Table structure for table `ratings`
#

CREATE TABLE `ratings` (
  `torrent` int(10) unsigned NOT NULL default '0',
  `user` int(10) unsigned NOT NULL default '0',
  `rating` tinyint(3) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`torrent`,`user`),
  KEY `user` (`user`)
) TYPE=MyISAM;

#
# Dumping data for table `ratings`
#


# --------------------------------------------------------

#
# Table structure for table `readposts`
#

CREATE TABLE `readposts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) unsigned NOT NULL default '0',
  `topicid` int(10) unsigned NOT NULL default '0',
  `lastpostread` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `userid` (`id`),
  KEY `topicid` (`topicid`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Dumping data for table `readposts`
#

INSERT INTO `readposts` VALUES (1, 4, 1, 2);
INSERT INTO `readposts` VALUES (2, 3, 1, 2);
INSERT INTO `readposts` VALUES (3, 5, 1, 2);
INSERT INTO `readposts` VALUES (4, 6, 1, 2);

# --------------------------------------------------------

#
# Table structure for table `sitelog`
#

CREATE TABLE `sitelog` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `added` datetime default NULL,
  `txt` text,
  PRIMARY KEY  (`id`),
  KEY `added` (`added`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `sitelog`
#


# --------------------------------------------------------

#
# Table structure for table `stylesheets`
#

CREATE TABLE `stylesheets` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uri` varchar(255) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

#
# Dumping data for table `stylesheets`
#

INSERT INTO `stylesheets` VALUES (1, 'themes/default.css', 'Xtorrents');
INSERT INTO `stylesheets` VALUES (2, 'themes/original.css', 'TorrentBits');

# --------------------------------------------------------

#
# Table structure for table `topics`
#

CREATE TABLE `topics` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) unsigned NOT NULL default '0',
  `subject` varchar(40) default NULL,
  `locked` enum('yes','no') NOT NULL default 'no',
  `forumid` int(10) unsigned NOT NULL default '0',
  `lastpost` int(10) unsigned NOT NULL default '0',
  `moved` enum('yes','no') NOT NULL default 'no',
  `sticky` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`id`),
  KEY `userid` (`userid`),
  KEY `subject` (`subject`),
  KEY `lastpost` (`lastpost`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `topics`
#

INSERT INTO `topics` VALUES (1, 4, 'Test', 'no', 1, 2, 'no', 'no');

# --------------------------------------------------------

#
# Table structure for table `torrents`
#

CREATE TABLE `torrents` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `info_hash` varchar(20) binary NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `save_as` varchar(255) NOT NULL default '',
  `search_text` text NOT NULL,
  `descr` text NOT NULL,
  `ori_descr` text NOT NULL,
  `category` int(10) unsigned NOT NULL default '0',
  `size` bigint(20) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` enum('single','multi') NOT NULL default 'single',
  `numfiles` int(10) unsigned NOT NULL default '0',
  `comments` int(10) unsigned NOT NULL default '0',
  `views` int(10) unsigned NOT NULL default '0',
  `hits` int(10) unsigned NOT NULL default '0',
  `times_completed` int(10) unsigned NOT NULL default '0',
  `leechers` int(10) unsigned NOT NULL default '0',
  `seeders` int(10) unsigned NOT NULL default '0',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `visible` enum('yes','no') NOT NULL default 'yes',
  `banned` enum('yes','no') NOT NULL default 'no',
  `owner` int(10) unsigned NOT NULL default '0',
  `numratings` int(10) unsigned NOT NULL default '0',
  `ratingsum` int(10) unsigned NOT NULL default '0',
  `nfo` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `info_hash` (`info_hash`),
  KEY `owner` (`owner`),
  KEY `visible` (`visible`),
  KEY `category_visible` (`category`,`visible`),
  FULLTEXT KEY `ft_search` (`search_text`,`ori_descr`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Dumping data for table `torrents`
#


# --------------------------------------------------------

#
# Table structure for table `users`
#

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(40) NOT NULL default '',
  `password` varchar(40) binary NOT NULL default '',
  `secret` varchar(20) NOT NULL default '',
  `email` varchar(80) NOT NULL default '',
  `status` enum('pending','confirmed') NOT NULL default 'pending',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_login` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_access` datetime NOT NULL default '0000-00-00 00:00:00',
  `editsecret` varchar(20) binary NOT NULL default '',
  `privacy` enum('strong','normal','low') NOT NULL default 'normal',
  `stylesheet` int(10) default '1',
  `info` text,
  `acceptpms` enum('yes','no') NOT NULL default 'yes',
  `ip` varchar(15) NOT NULL default '',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `avatar` varchar(100) NOT NULL default '',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `ircnick` varchar(30) NOT NULL default '',
  `ircpass` varchar(30) NOT NULL default '',
  `title` varchar(30) NOT NULL default '',
  `donated` int(5) unsigned NOT NULL default '0',
  `country` int(10) unsigned NOT NULL default '0',
  `notifs` varchar(100) NOT NULL default '',
  `enabled` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `status_added` (`status`,`added`),
  KEY `ip` (`ip`),
  KEY `uploaded` (`uploaded`),
  KEY `downloaded` (`downloaded`),
  KEY `country` (`country`)
) TYPE=MyISAM AUTO_INCREMENT=8 ;

#
# Dumping data for table `users`
#
INSERT INTO `users` VALUES (1, 'Admin', '5f4dcc3b5aa765d61d8327deb882cf99', '<2', 'username@domain.com', 'confirmed', '2004-04-29 10:28:59', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 'normal', 1, NULL, 'yes', '', 6, '', 0, 0, '', '', '', 0, 0, '', 'yes');

# --------------------------------------------------------

#
# Table structure for table `xbt_announce_log`
#

CREATE TABLE `xbt_announce_log` (
  `id` int(11) NOT NULL auto_increment,
  `ipa` int(11) NOT NULL default '0',
  `port` int(11) NOT NULL default '0',
  `event` int(11) NOT NULL default '0',
  `info_hash` blob NOT NULL,
  `peer_id` blob NOT NULL,
  `downloaded` bigint(20) NOT NULL default '0',
  `left0` bigint(20) NOT NULL default '0',
  `uploaded` bigint(20) NOT NULL default '0',
  `mtime` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `xbt_announce_log`
#


# --------------------------------------------------------

#
# Table structure for table `xbt_config`
#

CREATE TABLE `xbt_config` (
  `name` varchar(255) NOT NULL default '',
  `value` varchar(255) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `xbt_config`
#


# --------------------------------------------------------

#
# Table structure for table `xbt_files`
#

CREATE TABLE `xbt_files` (
  `fid` int(11) NOT NULL auto_increment,
  `info_hash` blob NOT NULL,
  `leechers` int(11) NOT NULL default '0',
  `seeders` int(11) NOT NULL default '0',
  `announced_http` int(11) NOT NULL default '0',
  `announced_http_compact` int(11) NOT NULL default '0',
  `announced_http_no_peer_id` int(11) NOT NULL default '0',
  `announced_udp` int(11) NOT NULL default '0',
  `scraped_http` int(11) NOT NULL default '0',
  `scraped_udp` int(11) NOT NULL default '0',
  `completed` int(11) NOT NULL default '0',
  `started` int(11) NOT NULL default '0',
  `stopped` int(11) NOT NULL default '0',
  `mtime` timestamp(14) NOT NULL,
  `ctime` timestamp(14) NOT NULL default '00000000000000',
  PRIMARY KEY  (`fid`),
  UNIQUE KEY `info_hash` (`info_hash`(20))
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `xbt_files`
#


# --------------------------------------------------------

#
# Table structure for table `xbt_scrape_log`
#

CREATE TABLE `xbt_scrape_log` (
  `id` int(11) NOT NULL auto_increment,
  `ipa` int(11) NOT NULL default '0',
  `info_hash` blob,
  `mtime` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `xbt_scrape_log`
#


# --------------------------------------------------------

#
# Table structure for table `xbt_users`
#

CREATE TABLE `xbt_users` (
  `name` varchar(8) NOT NULL default '',
  `pass` blob NOT NULL
) TYPE=MyISAM;

#
# Dumping data for table `xbt_users`
#